# OSes

## Get

> Retrieve Criteria OS of a session server with the specified ID.

```json
{"openapi":"3.0.1","info":{"title":"Parallels RAS - REST API v1.0","version":"1.0"},"paths":{"/api/ClientPolicies/{id}/Rules/{ruleId}/Criteria/OSes":{"get":{"tags":["4-Policies/Assignments/Criteria//Operating System"],"summary":"Get","description":"Retrieve Criteria OS of a session server with the specified ID.","operationId":"04378f69-01c0-4785-8fd6-9082eac5a381","parameters":[{"name":"id","in":"path","description":"The ID of a session server for which to modify the Criteria settings.","required":true,"schema":{"type":"integer","format":"int32"}},{"name":"ruleId","in":"path","description":"The ID of the Rule to retrieve.","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"Success","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/AllowedOperatingSystems"}}}},"401":{"description":"Unauthorized","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"404":{"description":"Not Found","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}},"components":{"schemas":{"AllowedOperatingSystems":{"type":"object","properties":{"chrome":{"type":"boolean","description":"<para type=\"description\">Whether Chrome is allowed or not.</para>"},"android":{"type":"boolean","description":"<para type=\"description\">Whether Android is allowed or not.</para>"},"webClient":{"type":"boolean","description":"<para type=\"description\">Whether Web Client is allowed or not.</para>"},"iOS":{"type":"boolean","description":"<para type=\"description\">Whether iOS is allowed or not.</para>"},"linux":{"type":"boolean","description":"<para type=\"description\">Whether Linux is allowed or not.</para>"},"mac":{"type":"boolean","description":"<para type=\"description\">Whether MAC OS is allowed or not.</para>"},"wyse":{"type":"boolean","description":"<para type=\"description\">Whether Wyse is allowed or not.</para>"},"windows":{"type":"boolean","description":"<para type=\"description\">Whether Windows is allowed or not.</para>"}},"additionalProperties":false,"description":"<para type=\"synopsis\">Allowed Operating Systems</para>\r\n<para type=\"description\"></para>"},"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}}}
```

## Update

> Modify the OS of the Criteria settings.

```json
{"openapi":"3.0.1","info":{"title":"Parallels RAS - REST API v1.0","version":"1.0"},"paths":{"/api/ClientPolicies/{id}/Rules/{ruleId}/Criteria/OSes":{"put":{"tags":["4-Policies/Assignments/Criteria//Operating System"],"summary":"Update","description":"Modify the OS of the Criteria settings.","operationId":"289a4375-2309-40d6-8f0c-b84a9a971301","parameters":[{"name":"id","in":"path","description":"The ID of a session server for which to modify the Criteria settings.","required":true,"schema":{"type":"integer","format":"int32"}},{"name":"ruleId","in":"path","description":"The ID of the Rule to retrieve.","required":true,"schema":{"type":"integer","format":"int32"}}],"requestBody":{"description":"OS configuration.","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/SetCriteriaOS"}}}},"responses":{"204":{"description":"No Content"},"401":{"description":"Unauthorized","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"404":{"description":"Not Found","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}},"components":{"schemas":{"SetCriteriaOS":{"type":"object","properties":{"allowClientChrome":{"type":"boolean","description":"<para type=\"description\">Allow Chrome OS clients.</para>","nullable":true},"allowClientAndroid":{"type":"boolean","description":"<para type=\"description\">Allow Android clients.</para>","nullable":true},"allowClientWeb":{"type":"boolean","description":"<para type=\"description\">Allow Web clients.</para>","nullable":true},"allowClientIOS":{"type":"boolean","description":"<para type=\"description\">Allow IOS clients.</para>","nullable":true},"allowClientLinux":{"type":"boolean","description":"<para type=\"description\">Allow Linux clients.</para>","nullable":true},"allowClientMAC":{"type":"boolean","description":"<para type=\"description\">Allow Mac clients.</para>","nullable":true},"allowClientWindows":{"type":"boolean","description":"<para type=\"description\">Allow Windows clients.</para>","nullable":true},"allowClientWyse":{"type":"boolean","description":"<para type=\"description\">Allow Wyse clients.</para>","nullable":true}},"additionalProperties":false},"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}}}
```
